Unable to import an environment named 'master'
Description

We are using r10k to deploy puppet code to our puppetmasters.  We have a variety of branches which deploy to their own

environment successfully.  However the branch/environment named master never shows as able to import.  I have created a new

branch with identical content, which is deployed to a new environment, and all is fine.

If I look at the smart proxy logs I see entries like:

1.2.3.4 - - [20/Jan/2015 15:06:13] "GET /environments/master/classes HTTP/1.1" 200 2 0.4705

But I can't tell where along the way the information is being dropped.

Not critical, it's easy to avoid (and really a side effect of some laziness on our part), but I wanted to make sure it was pointed out.

This is with Foreman 1.7.1 on CentOS 6.  If there is more information that I can provide that would be helpful, please let me know.

History

#1 - 01/20/2015 02:36 PM - Anonymous

I think you're running into a puppet limitation here: https://docs.puppetlabs.com/puppet/latest/reference/environments_classic.html#allowed-names

#2 - 01/21/2015 03:37 AM - Dominic Cleal

- Status changed from New to Feedback

#3 - 02/04/2015 01:42 PM - Anonymous

- Status changed from Feedback to Closed

No feedback received and I'm pretty sure it's that special name problem.
